LM
nged
BRL-CAD
BRL-CAD User Commands

# lm

The command with no values argument lists the name of every region in the database (in alphabetical order), except for those marked as hidden with the `hide` command. If the values argument is supplied, only those regions with a MUVES_Component attribute having one of the values are listed.

        lm

        -l
        values

## DESCRIPTION

The command with no values argument lists the name of every region in the database (in alphabetical order), except for those marked as hidden with the `hide` command. If the values argument is supplied, only those regions with a MUVES_Component attribute having one of the values are listed. The l option specifies to use a long format showing object name, object type, major type, minor type, and length.

## EXAMPLES

The first example shows the use of the `lm` command to list all regions having a MUVES_Component attribute with a specified value. The second example shows the use of the `lm` command to list all regions having a "MUVES_Component" attribute and one of two specified values. The -l option is also used to show the long format.

### List all regions having a "MUVES_Component" attribute and a specific value.

mged> `lm engine`

  Lists all regions with a MUVES_Component attribute having a value of engine.

### List (using the long format) all regions having a "MUVES_Component" attribute and one of two specified values.

mged>`lm 1 engine pilot`

Lists (in the long format) all regions with a MUVES_Component attribute having a value of engine or pilot.

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.